package com.yeejoin.amos.boot.module.jcs.biz.audioToText;

import com.alibaba.nls.client.protocol.asr.SpeechTranscriberListener;
import com.alibaba.nls.client.protocol.asr.SpeechTranscriberResponse;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * 文件语音识别 回调函数
 */
public class FileSpeechTranscriberListener extends SpeechTranscriberListener {

    private static final Logger logg = LoggerFactory.getLogger(FileSpeechTranscriberListener.class);
    @Override
    public void onTranscriberStart(SpeechTranscriberResponse response) {

        logg.info( "onTranscriberStart");
    }

    @Override
    public void onSentenceBegin(SpeechTranscriberResponse response) {

        logg.info( "onSentenceBegin");
    }

    @Override
    public void onSentenceEnd(SpeechTranscriberResponse response) {
        logg.info( "onSentenceEnd");
    }

    @Override
    public void onTranscriptionResultChange(SpeechTranscriberResponse response) {

        logg.info( "onTranscriptionResultChange");
    }

    @Override
    public void onTranscriptionComplete(SpeechTranscriberResponse response) {
        logg.info( "onTranscriptionComplete");
    }

    @Override
    public void onFail(SpeechTranscriberResponse response) {
        logg.info( "onFail");
    }


}
